
// #ifndef VUE3
import Vue from 'vue'
import App from './App'

import './composition-api'

import {
	navigateTo,
	redirectTo,
	selectDictLabel
} from '@/utils/utils.js'
import {
	fileBasUrl
} from '@/api/config.js'
console.log(fileBasUrl, 'fileBasUrl')
Vue.prototype.$navigateTo = navigateTo;
Vue.prototype.$redirectTo = redirectTo;
// 媒体文件地址
Vue.prototype.$fileBasUrl = fileBasUrl;

Vue.prototype.$selectDictLabel = selectDictLabel;
Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif